Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Interface IcapChunkTrailer

All Superinterfaces:
  org.jboss.netty.handler.codec.http.HttpChunk, IcapChunk

All Known Implementing Classes:
  DefaultIcapChunkTrailer

    public interface IcapChunkTrailer

extends IcapChunk

Icap chunk trailer. In comparison to Http this will always be the last chunk in any transmission. With or without trailing hedaers.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Field Summary

Fields inherited from interface org.jboss.netty.handler.codec.http.HttpChunk
`LAST_CHUNK`

Method Summary
`void` | `addHeader(String name, Object value)` Adds a new trailing header with the specified name and value.
`void` | `clearHeaders()` Removes all trailing headers from this trailer.
`boolean` | `containsHeader(String name)` Returns `true` if and only if there is a trailing header with the specified header name.
`String` | `getHeader(String name)` Returns the trailing header value with the specified header name.
`Set<String>` | `getHeaderNames()` Returns the `Set` of all trailing header names that this trailer contains.
`List<Map.Entry<String,String>>` | `getHeaders()` Returns the all header names and values that this trailer contains.
`List<String>` | `getHeaders(String name)` Returns the trailing header values with the specified header name.
`boolean` | `isLast()` Always returns `true`.
`void` | `removeHeader(String name)` Removes the trailing header with the specified name.
`void` | `setHeader(String name, Iterable<?> values)` Sets a new trailing header with the specified name and values.
`void` | `setHeader(String name, Object value)` Sets a new trailing header with the specified name and value.

Methods inherited from interface ch.mimo.netty.handler.codec.icap.IcapChunk
`isEarlyTerminated, isPreviewChunk, setEarlyTermination, setPreviewChunk`

Methods inherited from interface org.jboss.netty.handler.codec.http.HttpChunk
`getContent, setContent`

Method Detail

### isLast

    boolean isLast()

  Always returns `true`.

  Specified by:
    `isLast` in interface `org.jboss.netty.handler.codec.http.HttpChunk`

### getHeader

    String getHeader(String name)

  Returns the trailing header value with the specified header name. If there are more than one trailing header value for the specified header name, the first value is returned.

  Returns:
    the header value or `null` if there is no such header

### getHeaders

    List<String> getHeaders(String name)

  Returns the trailing header values with the specified header name.

  Returns:
    the `List` of header values. An empty list if there is no such header.

### getHeaders

    List<Map.Entry<String,String>> getHeaders()

  Returns the all header names and values that this trailer contains.

  Returns:
    the `List` of the header name-value pairs. An empty list if there is no header in this trailer.

### containsHeader

    boolean containsHeader(String name)

  Returns `true` if and only if there is a trailing header with the specified header name.

### getHeaderNames

    Set<String> getHeaderNames()

  Returns the `Set` of all trailing header names that this trailer contains.

### addHeader

    void addHeader(String name,
                   Object value)

  Adds a new trailing header with the specified name and value.

### setHeader

    void setHeader(String name,
                   Object value)

  Sets a new trailing header with the specified name and value. If there is an existing trailing header with the same name, the existing one is removed.

### setHeader

    void setHeader(String name,
                   Iterable<?> values)

  Sets a new trailing header with the specified name and values. If there is an existing trailing header with the same name, the existing one is removed.

### removeHeader

    void removeHeader(String name)

  Removes the trailing header with the specified name.

### clearHeaders

    void clearHeaders()

  Removes all trailing headers from this trailer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.